Extending Qt Creator Manual | ArgumentsAspect

Extending Qt Creator Manual 4.5.2

# ArgumentsAspect Class

(ProjectExplorer::ArgumentsAspect)

Header: | #include <ArgumentsAspect>
Inherits: | ProjectExplorer::IRunConfigurationAspect

- List of all members, including inherited members

## Public Functions

| ArgumentsAspect(RunConfiguration *runConfig, const QString &settingsKey)
void | addToMainConfigurationWidget(QWidget *parent, QFormLayout *layout)
QString | arguments() const
void | setArguments(const QString &arguments)
QString | unexpandedArguments() const

- 18 public functions inherited from ProjectExplorer::IRunConfigurationAspect

## Signals

void | argumentsChanged(const QString &arguments)

### Additional Inherited Members

- 2 protected functions inherited from ProjectExplorer::IRunConfigurationAspect

## Detailed Description

## Member Function Documentation

### ArgumentsAspect::ArgumentsAspect(RunConfiguration *runConfig, const QString &settingsKey)

Default constructs an instance of ArgumentsAspect.

### void ArgumentsAspect::addToMainConfigurationWidget(QWidget *parent, QFormLayout *layout)

### QString ArgumentsAspect::arguments() const

See also setArguments().

### `[signal]` void ArgumentsAspect::argumentsChanged(const QString &arguments)

### void ArgumentsAspect::setArguments(const QString &arguments)

See also arguments().

### QString ArgumentsAspect::unexpandedArguments() const